Bug 117967 - [rpm-python] [RFE] Enable relocations to be passed from rpm-python
[rpm-python] [RFE] Enable relocations to be passed from rpm-python
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 11:22 EST by Paul Nasrat
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 09:17:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2004-03-10 11:22:59 EST
Description of problem:

Currently ts.addInstall knows nothing of relocations, the call to
rpmtsAddInstallElement passes NULL for relocations.

As rpm-python should be fully functional I'm adding an rfe.

Version-Release number of selected component (if applicable):

rpm-4.3

How reproducible:

Always - you just can't do it

Steps to Reproduce:

n/a
  
Actual results:

n/a
Expected results:

setting a relocation should be exposed

Additional info:

I guesss having an array/dict which we wrap to rpmRelocation and allow
that to be set is one way of doing this.
Comment 1 Jeff Johnson 2006-03-01 09:17:03 EST
Passing relocations from bindings is the wrong approach, permitting
macros in dirnames/basenames will be how relocations are eventually
handled.

Note You need to log in before you can comment on or make changes to this bug.